//********************************************************************
//*-------------------------------------------------------------------
//* Sample Source
//*
//* 5724-A18
//*
//* (c) Copyright IBM Corp. 2000, 2002
//*
//* The source code for this program is not published or otherwise
//* divested of its trade secrets, irrespective of what has been
//* deposited with the US Copyright Office.
//*-------------------------------------------------------------------
//*
////////////////////////////////////////////////////////////////////////////////

import com.ibm.commerce.payment.commands.*;

import java.util.*;

import com.ibm.commerce.ras.*;
import com.ibm.commerce.server.*;
import com.ibm.commerce.command.*;
import com.ibm.commerce.exception.*;

import com.ibm.commerce.order.objects.*;

import com.ibm.commerce.copyright.IBMCopyright;
/**
 * The <code>DoCancelPolicyCmd</code> implementation class for the TestPaymentMethod policy. 
 */
public class DoCancelTestCmdImpl extends BusinessPolicyCommandImpl implements DoCancelPolicyCmd 
{
	private final static String COPYRIGHT = IBMCopyright.SHORT_COPYRIGHT;
	private final static String CLASSNAME = DoCancelTestCmdImpl.class.getName();

    private OrderAccessBean iabOrder                = null;
/**
 * DoCancelTestCmdImpl default constructor.
 */
public DoCancelTestCmdImpl() {
	super();
}
/**
 *  Returns the OrderAccessBean representing the Order.  This is the OrderAccessBean passed in to the command.
 */
protected OrderAccessBean getOrder () 
{
	return iabOrder;
}
/**
 * Performs the main business logic of the command.
 */
public void performExecute() throws com.ibm.commerce.exception.ECException 
{
	final String methodName = "performExecute";
	ECTrace.entry( ECTraceIdentifiers.COMPONENT_ORDER, CLASSNAME, methodName );

	ECTrace.trace( ECTraceIdentifiers.COMPONENT_ORDER, CLASSNAME, methodName,
		"This command performs no real tasks for the TestPaymentMethod policy." );

	ECTrace.exit( ECTraceIdentifiers.COMPONENT_ORDER, CLASSNAME, methodName );
}
/**
 * Optional error view name passed in by the Caller.
 */
public void setErrorViewName(String sEVN) {}
/**
 * The order to be processed.
 */
public void setOrder(OrderAccessBean abOrder) 
{
	iabOrder = abOrder;
}
}
