//********************************************************************
//*-------------------------------------------------------------------
//* Sample Source
//*
//* 5724-A18
//*
//* (c) Copyright IBM Corp. 2000, 2002
//*
//* The source code for this program is not published or otherwise
//* divested of its trade secrets, irrespective of what has been
//* deposited with the US Copyright Office.
//*-------------------------------------------------------------------
//*
////////////////////////////////////////////////////////////////////////////////

import com.ibm.commerce.usermanagement.commands.*;

import javax.ejb.*;
import javax.naming.*;
import java.util.*;
import com.ibm.commerce.util.*;
import java.rmi.*;
import com.ibm.commerce.datatype.*;
import com.ibm.commerce.base.objects.*;
import com.ibm.commerce.user.objects.*;
import com.ibm.commerce.common.objects.*;
import com.ibm.commerce.ras.*;
import com.ibm.commerce.exception.*;
import com.ibm.commerce.command.*; 
import com.ibm.commerce.server.*;
import com.ibm.commerce.price.commands.*;
import com.ibm.sfc.cmd.*;
import java.lang.reflect.*;
import java.sql.Timestamp;
import com.ibm.commerce.userrepository.commands.*;
import com.ibm.commerce.security.commands.*;
import com.ibm.commerce.member.helpers.*;
import com.ibm.commerce.ubf.event.*;
/**
 * Implementation for the RegisterBase command which is the base for RegisterNew and RegisterUpdate
 * command.
 */
public class UserRegistrationAddCheckApprovalCmdImpl extends TaskCommandImpl implements UserRegistrationAddCheckApprovalCmd
{
	public static final String COPYRIGHT = com.ibm.commerce.copyright.IBMCopyright.SHORT_COPYRIGHT;
	public final static String CLASSNAME = "com.ibm.commerce.usermanagement.commands.UserRegistrationAddCheckApprovalCmdImpl";

	protected UserFlowEntityBean userFlowEntityBean = null;
	protected String eventIdentifier = null;
	protected BusinessFlowEventData eventData = null;
public boolean checkApproval() throws ECException
{
	final String METHODNAME = "checkApproval";		
	ECTrace.entry(ECTraceIdentifiers.COMPONENT_USER, CLASSNAME, METHODNAME);

	try
	{
		String strProfileType = userFlowEntityBean.getProfileType();
		if (strProfileType != null && strProfileType.equals(ECUserConstants.EC_USER_PROFILE_CUSTOMER))
		{
			ECTrace.exit(ECTraceIdentifiers.COMPONENT_USER, CLASSNAME, METHODNAME);			
			return false;
		}
		else
		{
			ECTrace.exit(ECTraceIdentifiers.COMPONENT_USER, CLASSNAME, METHODNAME);			
			return true;
		}
	} catch (CreateException ex)
	{
		throw new ECSystemException(ECMessage._ERR_CREATE_EXCEPTION, CLASSNAME, METHODNAME, ex);
	} catch (FinderException ex)
	{
		throw new ECSystemException(ECMessage._ERR_FINDER_EXCEPTION, CLASSNAME, METHODNAME, ex);
	} catch (NamingException ex)
	{
		throw new ECSystemException(ECMessage._ERR_NAMING_EXCEPTION, CLASSNAME, METHODNAME, ex);
	} catch (RemoteException ex)
	{
		throw new ECSystemException(ECMessage._ERR_REMOTE_EXCEPTION, CLASSNAME, METHODNAME, ex);
	}
}
public String getEventIdentifier()
{
	return eventIdentifier;
}
public void performExecute() throws ECException {
	final String METHODNAME = "performExecute";	
	ECTrace.entry(ECTraceIdentifiers.COMPONENT_USER, CLASSNAME, "performExecute");
	//checkParameters();

	if (checkApproval() == true) {	
		eventIdentifier = ECUserConstants.EC_USER_FLOW_TRANSIT_EVENT_BEGIN_APPROVAL;
	} else {
		eventIdentifier = ECUserConstants.EC_USER_FLOW_TRANSIT_EVENT_AUTO_APPROVE;
	}
	//Test
	//eventIdentifier = ECUserConstants.EC_USER_FLOW_TRANSIT_EVENT_AUTO_REJECT;

	ECTrace.trace(ECTraceIdentifiers.COMPONENT_USER, CLASSNAME, METHODNAME, "eventIdentifier returned: " + eventIdentifier);
	ECTrace.exit(ECTraceIdentifiers.COMPONENT_USER, CLASSNAME, METHODNAME);
}
public void reset()
{
	userFlowEntityBean = null;
	eventIdentifier = null;
	eventData = null;
}
public void setBusinessFlowEventData(com.ibm.commerce.ubf.event.BusinessFlowEventData anEventData)
{
	final String METHODNAME = "setBusinessFlowEventData";	
	ECTrace.entry(ECTraceIdentifiers.COMPONENT_USER, CLASSNAME, METHODNAME);
	eventData = anEventData;
	ECTrace.exit(ECTraceIdentifiers.COMPONENT_USER, CLASSNAME, METHODNAME);
}
public void setEntityId(Long anEntityId)
{
	final String METHODNAME = "setEntityId";
	ECTrace.entry(ECTraceIdentifiers.COMPONENT_USER, CLASSNAME, METHODNAME);
	ECTrace.trace(ECTraceIdentifiers.COMPONENT_USER, CLASSNAME, METHODNAME, "Set entity id " + anEntityId);
	if (userFlowEntityBean == null) {
		userFlowEntityBean = new UserFlowEntityBean();
		userFlowEntityBean.setInitKey_MemberId(anEntityId.toString());
	}
	ECTrace.exit(ECTraceIdentifiers.COMPONENT_USER, CLASSNAME, METHODNAME);
}
public void setEntityObject(Object anEntityObject)
{
	final String METHODNAME = "setEntityObject";
	ECTrace.entry(ECTraceIdentifiers.COMPONENT_USER, CLASSNAME, METHODNAME);
	userFlowEntityBean = (UserFlowEntityBean) anEntityObject;
	ECTrace.exit(ECTraceIdentifiers.COMPONENT_USER, CLASSNAME, METHODNAME);
}
public void validateParameters() throws ECException
{
	final String METHODNAME = "checkParameters";	
	ECTrace.entry(ECTraceIdentifiers.COMPONENT_USER, CLASSNAME, METHODNAME);
	if (userFlowEntityBean == null) {
		//throw new ECApplicationException(ECMessage._ERR_DIDNT_SET_ORDER, CLASSNAME, METHODNAME);
	}
	ECTrace.exit(ECTraceIdentifiers.COMPONENT_USER, CLASSNAME, METHODNAME);
}
}
